import * as utils from "../utils/index";
import { HeartAbilityManager } from "../systems/index";
export function skeletonAbility(player) {
    utils.mclog(`skeleton`);
    HeartAbilityManager.addInvulnerability(player, 'noDamage');
    utils.waitForEvent(1, () => {
        utils.runCommand(`function abilities/skeleton/activate`, player);
    });
    utils.waitForEvent(5, () => {
        HeartAbilityManager.removeInvulnerability(player, 'noDamage');
    });
}
